<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer5Defs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer5_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer5Defs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer5_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">#ifndef KM_TIMER_5_DEFS_H_</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#define KM_TIMER_5_DEFS_H_</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#define TIMSK5</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#define COM5C0</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#ifdef TIMSK5</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="preprocessor">#include &quot;../kmCpu/kmCpuDefs.h&quot;</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer_defs_8h.html">kmTimerDefs.h</a>&quot;</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ad31f26174463f6d367ac218d2e89e419">   48</a></span><span class="preprocessor">#define KM_TIMER5_BOTTOM KM_TCC_BOTOM</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a31a45dfad82f12fe5ea3c3f1816228e1">   50</a></span><span class="preprocessor">#define KM_TIMER5_MAX KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#define KM_TIMER5_TOP_8_BIT KM_TCC_TOP_1</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#define KM_TIMER5_TOP_9_BIT KM_TCC_TOP_5</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">#define KM_TIMER5_TOP_10_BIT KM_TCC_TOP_4</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">#define KM_TIMER5_TOP_16_BIT KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a8205306f14f3b8bc13a696a4956abcd6">   56</a></span><span class="preprocessor">#define KM_TIMER5_MID KM_TCC_MID_3</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aaaa7e7e430130914d720c921a9efe589">   59</a></span><span class="preprocessor">#define KM_TCC5_STOP        (KMC_ALL_BITS_CLEARED               )</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a1d5fb5250a7187a226710c4b153a300c">   61</a></span><span class="preprocessor">#define KM_TCC5_PRSC_1      (                       _BV(CS50)   )</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a6542ebff3cde61be873b4dc6c2f16cd8">   63</a></span><span class="preprocessor">#define KM_TCC5_PRSC_8      (           _BV(CS51)               )</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a527985d8f8e2f4c0dd25618b1d0a1fe1">   65</a></span><span class="preprocessor">#define KM_TCC5_PRSC_64 (               _BV(CS51) | _BV(CS50)   )</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#af606a268a701fb54aea6e3e46c15a269">   67</a></span><span class="preprocessor">#define KM_TCC5_PRSC_256    (_BV(CS52)                          )</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a9f00fa72c63875835846cb85c7306635">   69</a></span><span class="preprocessor">#define KM_TCC5_PRSC_1024   (_BV(CS52) |            _BV(CS50)   )</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a8c0cbae4bc7011c7bc27c15592148aa1">   71</a></span><span class="preprocessor">#define KM_TCC5_EXT_T5_FAL  (_BV(CS52) |_BV(CS51)               )</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#adc052e03ee745091a83c0acfeeebaf16">   73</a></span><span class="preprocessor">#define KM_TCC5_EXT_T5_RIS  (_BV(CS52) |_BV(CS51) | _BV(CS50)   )</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a444d1c7572740b06773ac634239f1038">   75</a></span><span class="preprocessor">#define KM_TCC5_CS_MASK     KM_TCC5_EXT_T5_RIS</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ad1b500abc2b7be878f1c5ae0f7d0ad76">   78</a></span><span class="preprocessor">#define KM_TCC5_MODE_0_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a6f09251b96adc27c3b2388eb81ac1ad9">   80</a></span><span class="preprocessor">#define KM_TCC5_MODE_0_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ae424ada5c95390d3f103c95e96929f77">   82</a></span><span class="preprocessor">#define KM_TCC5_MODE_1_A    (                                               _BV(WGM50)  )</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a111fff3a62add7fba368cfa0cb9340e5">   84</a></span><span class="preprocessor">#define KM_TCC5_MODE_1_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#af14732068e412e60fa741f8060b0a93d">   86</a></span><span class="preprocessor">#define KM_TCC5_MODE_2_A    (                               _BV(WGM51)                  )</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ad3714d630639432ab7cc7327100c68ef">   88</a></span><span class="preprocessor">#define KM_TCC5_MODE_2_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ab822e3845c3f774bc59c6f3d61df8253">   90</a></span><span class="preprocessor">#define KM_TCC5_MODE_3_A    (                               _BV(WGM51) |    _BV(WGM50)  )</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a4d0e27ced0f6b3a32d6cef866d09e94c">   92</a></span><span class="preprocessor">#define KM_TCC5_MODE_3_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#af485c282f747009564681d43d3d3a358">   94</a></span><span class="preprocessor">#define KM_TCC5_MODE_4_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aaa1279baf867727a262aba06bc4ec559">   96</a></span><span class="preprocessor">#define KM_TCC5_MODE_4_B    (               _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a836ee8cc3eb06e8fbfbc735a07bd07dd">   98</a></span><span class="preprocessor">#define KM_TCC5_MODE_5_A    (                                               _BV(WGM50)  )</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a71d55fda4e2da2f4f74e6be5523c23a6">  100</a></span><span class="preprocessor">#define KM_TCC5_MODE_5_B    (               _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a1b23da0e1a2e1cf0d7987a0f638f159d">  102</a></span><span class="preprocessor">#define KM_TCC5_MODE_6_A    (                               _BV(WGM51)                  )</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ad2beced3d7f7958834a58ec67d93a4a6">  104</a></span><span class="preprocessor">#define KM_TCC5_MODE_6_B    (               _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a4cc5a71ed1e947cb48e2cad1cabc54ba">  106</a></span><span class="preprocessor">#define KM_TCC5_MODE_7_A    (                               _BV(WGM51) |    _BV(WGM50)  )</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#af3ce865dc1a4163a944e37104f04962e">  108</a></span><span class="preprocessor">#define KM_TCC5_MODE_7_B    (               _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#addcdc6eb66f993a0cb5b31f675b0b0be">  110</a></span><span class="preprocessor">#define KM_TCC5_MODE_8_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a9bd4fbc5ead05acf79b98edd892ec341">  112</a></span><span class="preprocessor">#define KM_TCC5_MODE_8_B    (_BV(WGM53)                                                 )</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a291996ab336ada31941e1446676e8b3e">  114</a></span><span class="preprocessor">#define KM_TCC5_MODE_9_A    (                                               _BV(WGM50)  )</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ac0a51740c46fd51f3e7eb210d79a0be8">  116</a></span><span class="preprocessor">#define KM_TCC5_MODE_9_B    (_BV(WGM53)                                                 )</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ad323810b4eda51da30d3eb298f99bb55">  118</a></span><span class="preprocessor">#define KM_TCC5_MODE_A_A    (                               _BV(WGM51)                  )</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#affe7be4c76817a5c1c6fceb2e1b8b0c6">  120</a></span><span class="preprocessor">#define KM_TCC5_MODE_A_B    (_BV(WGM53)                                                 )</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a3bd5c68c9f45735f23e77c385b976a66">  122</a></span><span class="preprocessor">#define KM_TCC5_MODE_B_A    (                               _BV(WGM51) |    _BV(WGM50)  )</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#add27ec3c95aceea3eac8f8dace35a3c5">  124</a></span><span class="preprocessor">#define KM_TCC5_MODE_B_B    (_BV(WGM53)                                                 )</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a7be35e2f5f0403c72be51b0a8a8f8852">  126</a></span><span class="preprocessor">#define KM_TCC5_MODE_C_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ad4925d819b049962bd85bb85c7ed59ae">  128</a></span><span class="preprocessor">#define KM_TCC5_MODE_C_B    (_BV(WGM53) |   _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#acf4975627a9e96f81b0c524980860fb4">  130</a></span><span class="preprocessor">#define KM_TCC5_MODE_D_A    (                                               _BV(WGM50)  )</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a91e7b13abfdc7065959e81d320d1d2e3">  132</a></span><span class="preprocessor">#define KM_TCC5_MODE_D_B    (_BV(WGM53) |   _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a6fe16816f28fdae85f37f45832471e20">  134</a></span><span class="preprocessor">#define KM_TCC5_MODE_E_A    (                               _BV(WGM51)                  )</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a569103f0f883bf071f564c4e9cbabeaa">  136</a></span><span class="preprocessor">#define KM_TCC5_MODE_E_B    (_BV(WGM53) |   _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ad8a8516177b82c0612d94750136f90a1">  138</a></span><span class="preprocessor">#define KM_TCC5_MODE_F_A    (                               _BV(WGM51) |    _BV(WGM50)  )</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aeef4686cb4e106115573f350635fa524">  140</a></span><span class="preprocessor">#define KM_TCC5_MODE_F_B    (_BV(WGM53) |   _BV(WGM52)                                  )</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a21d927ba291d13c683ef27e9227d10a4">  142</a></span><span class="preprocessor">#define KM_TCC5_MODE_MASK_A KM_TCC5_MODE_F_A</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a1894b59bd4ee8fe58348dff2610055cf">  144</a></span><span class="preprocessor">#define KM_TCC5_MODE_MASK_B KM_TCC5_MODE_F_B</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ab8023f765d141474d7d13a02be09275d">  147</a></span><span class="preprocessor">#define KM_TCC5_A_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a68a0b24533f97e9b244532f83df303f9">  149</a></span><span class="preprocessor">#define KM_TCC5_A_COMP_OUT_TOGGLE   (               _BV(COM5A0) )</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aabb49b335bf274e2d719f9a71d3ff3cc">  151</a></span><span class="preprocessor">#define KM_TCC5_A_COMP_OUT_CLEAR    (_BV(COM5A1)                )</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a1f9d58b3b547d7528eb5941bd5f159b0">  153</a></span><span class="preprocessor">#define KM_TCC5_A_COMP_OUT_SET      (_BV(COM5A1) |  _BV(COM5A0) )</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="preprocessor">#define KM_TCC5_COMP_A_MASK         KM_TCC5_A_COMP_OUT_SET</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a6b9cc1c64c376518636dbc1836bf78b8">  157</a></span><span class="preprocessor">#define KM_TCC5_B_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#adf3391d12ee5ee49917b827ad7a8081b">  159</a></span><span class="preprocessor">#define KM_TCC5_B_COMP_OUT_TOGGLE   (               _BV(COM5B0) )</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#af6b5e802e7733f1f3ba3aeb084a31d66">  161</a></span><span class="preprocessor">#define KM_TCC5_B_COMP_OUT_CLEAR    (_BV(COM5B1)                )</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a06e7cf8c10ed50450bdc50f0ce9e3c15">  163</a></span><span class="preprocessor">#define KM_TCC5_B_COMP_OUT_SET      (_BV(COM5B1) |  _BV(COM5B0) )</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="preprocessor">#define KM_TCC5_COMP_B_MASK         KM_TCC5_B_COMP_OUT_SET</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a28fc61f0bdabb11466d602760ab249c2">  167</a></span><span class="preprocessor">#define KM_TCC5_C_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a5b3f738fb76543d05f4330433dbf0a6e">  169</a></span><span class="preprocessor">#define KM_TCC5_C_COMP_OUT_TOGGLE   (               _BV(COM5C0) )</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a6b2d18fe790c4d7ed2e01166adbd16d2">  171</a></span><span class="preprocessor">#define KM_TCC5_C_COMP_OUT_CLEAR    (_BV(COM5C1)                )</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aa91f3763f5776d518c58486e06309959">  173</a></span><span class="preprocessor">#define KM_TCC5_C_COMP_OUT_SET      (_BV(COM5C1) |  _BV(COM5C0) )</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="preprocessor">#define KM_TCC5_COMP_C_MASK         KM_TCC5_C_COMP_OUT_SET</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#afd388fd8103d2ab7cd920b57066a3ccb">  177</a></span><span class="preprocessor">#define KM_TCC5_A_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#af4238c04500ea3b256c7bfcaefd06338">  181</a></span><span class="preprocessor">#define KM_TCC5_A_PWM_COMP_OUT_TOGGLE               (               _BV(COM5A0) )</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a365a2dd1da7441c19201ca80768d7480">  185</a></span><span class="preprocessor">#define KM_TCC5_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM5A1)                )</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a0f93aa921188e032f3e2588e8916d8b5">  189</a></span><span class="preprocessor">#define KM_TCC5_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM5A1) |  _BV(COM5A0) )</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a2e9ca602bd5b5ca7d72e5b0cbac9a2a1">  192</a></span><span class="preprocessor">#define KM_TCC5_B_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a6fc6b7981912b1e958df718ba9cf89f3">  196</a></span><span class="preprocessor">#define KM_TCC5_B_PWM_COMP_OUT_TOGGLE               (               _BV(COM5B0) )</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a306a0d824d6091fc3ea776b29e171d69">  200</a></span><span class="preprocessor">#define KM_TCC5_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM5B1)                )</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a8826e6f250fc80780c5bf7ccad100a8e">  204</a></span><span class="preprocessor">#define KM_TCC5_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM5B1) |  _BV(COM5B0) )</span></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aafc65dd67282857257c733499a82f0aa">  207</a></span><span class="preprocessor">#define KM_TCC5_C_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a445898c4f7169ec04dd6dca2049cb68f">  211</a></span><span class="preprocessor">#define KM_TCC5_C_PWM_COMP_OUT_TOGGLE               (               _BV(COM5C0) )</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aa5672e18279a439bdd9185a856759c4e">  215</a></span><span class="preprocessor">#define KM_TCC5_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM5C1)                )</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a635f12604661d405d79437e35589b902">  219</a></span><span class="preprocessor">#define KM_TCC5_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM5C1) |  _BV(COM5C0) )</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="preprocessor">#define KM_KM_TCC5_INT_MASK_REG TIMSK5</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">#ifdef KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a8494f79902f93cb245d4965a460c3e09">  225</a></span><span class="preprocessor">#define KM_TCC5_PWM_DDR DDRL</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a3832ea71bef703fc768529d98cd8c070">  227</a></span><span class="preprocessor">#define KM_TCC5_PWM_PORT PORTL</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a02ef7a385d29e8861c8c86e9b49e9896">  229</a></span><span class="preprocessor">#define KM_TCC5_PWM_PIN_A PL3</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a31a5bb7578f2fee158e908db3ede2c9b">  231</a></span><span class="preprocessor">#define KM_TCC5_PWM_PIN_B PL4</span></div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a3a391602c6777924811570919be2aa32">  233</a></span><span class="preprocessor">#define KM_TCC5_PWM_PIN_C PL5</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a4551a64243de04983108bd891c68ef23">  236</a></span><span class="preprocessor">#define KM_TCC5_ICP5_PIN PL1</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a6a1b623e29f0c468a2f6b2fbd887abe3">  238</a></span><span class="preprocessor">#define KM_TCC5_ICP5_PORT_DDR DDRL</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#aff565804b89b4c551f823937aaa7a4e6">  240</a></span><span class="preprocessor">#define KM_TCC5_ICP5_PORT_OUTPUT PORTL</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a8cc0f9c4f97acc7458abb30c31480ec1">  242</a></span><span class="preprocessor">#define KM_TCC5_ICP5_PORT_INPUT PORTL</span></div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ac45aeba34ae568371585ace8e1cc4252">  245</a></span><span class="preprocessor">#define KM_TCC5_T5_PIN PL2</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span><span class="preprocessor">#endif </span><span class="comment">/* AVR_CPU_LAYOUT_100 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a55f4bef345a866a51880a4497d3fd5a2">  249</a></span><span class="preprocessor">#define KM_TCC5_PWM_BV_A    _BV(KM_TCC5_PWM_PIN_A)</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#ac23d5fe14b6ae76817f7760be7f56b35">  251</a></span><span class="preprocessor">#define KM_TCC5_PWM_BV_B    _BV(KM_TCC5_PWM_PIN_B)</span></div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno"><a class="line" href="km_timer5_defs_8h.html#a829df2c7316a73d87f0d15d8c1c25b3f">  253</a></span><span class="preprocessor">#define KM_TCC5_PWM_BV_C    _BV(KM_TCC5_PWM_PIN_C)</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span><span class="preprocessor">#endif </span><span class="comment">/* TIMSK5 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>}</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER_5_DEFS_H_ */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span> </div>
<div class="ttc" id="akm_timer_defs_8h_html"><div class="ttname"><a href="km_timer_defs_8h.html">kmTimerDefs.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer5_defs_8h.html">kmTimer5Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
